html, body {
	position: relative;
	width: 100%;
	height: 100%;
    color: #fff;
}

body {
	/* color: var(--font-color); */
    color: #fff;
	margin: 0;
	padding: 0px;
	padding-top: 0px;
	box-sizing: border-box;
	/* font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif; */
    font-family: Roboto, "Noto Sans KR", Dotum, 돋움, "sans-serif", Arial, Helvetica;
}

a {
	color: rgb(0,100,200);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

a:visited {
	color: rgb(0,80,160);
}

label {
	display: block;
}

input, button, select, textarea {
	font-family: inherit;
	font-size: inherit;
	-webkit-padding: 0.4em 0;
	padding: 0.4em;
	margin: 0 0 0.5em 0;
	box-sizing: border-box;
	border: 1px solid var(--border-bottom);
	border-radius: 2px;
}

input:disabled {
	color: #ccc;
}

button {
	color: #333;
	background-color: #f4f4f4;
	outline: none;
}

button:disabled {
	color: #999;
}

button:not(:disabled):active {
	background-color: #ddd;
}

button:focus {
	border-color: #666;
}

:root:not(.theme-dark) {
    --tv-color-platform-background: #161a1e;
    --tv-color-pane-background: #161a1e;
    --tv-color-toolbar-button-background-hover: #555;
    --tv-color-toolbar-button-background-expanded: #161a1e;
    --tv-color-toolbar-button-background-active:#fff;
    --tv-color-toolbar-button-background-active-hover: #fff;
    --tv-color-toolbar-button-text: #555;;
    --tv-color-toolbar-button-text-hover: #fff;
    --tv-color-toolbar-button-text-active: #fff;
    --tv-color-toolbar-button-text-active-hover: #fff;
    --tv-color-item-active-text:#fff;
    --tv-color-toolbar-toggle-button-background-active: #161a1e;
    --tv-color-toolbar-toggle-button-background-active-hover: #161a1e;
    --tv-color-toolbar-divider-background: rgb(251, 223, 244);
    --tv-color-toolbar-save-layout-loader: rgb(106, 109, 120);

    --tv-color-popup-background: #161a1e;
    --tv-color-popup-element-text: #e9ecef;
    --tv-color-popup-element-text-hover: #161a1e;
    --tv-color-popup-element-background-hover: #fff;
    --tv-color-popup-element-divider-background: rgb(251, 223, 244);
    --tv-color-popup-element-secondary-text: #fff;
    --tv-color-popup-element-hint-text: #fff;
    --tv-color-popup-element-text-active: #3d7eff;
    --tv-color-popup-element-background-active: #fff;
    --tv-color-popup-element-toolbox-text: #e9ecef;
    --tv-color-popup-element-toolbox-text-hover: #fff;
    --tv-color-popup-element-toolbox-text-active-hover: #fff;
    --tv-color-popup-element-toolbox-background-hover: #555;
    --tv-color-popup-element-toolbox-background-active-hover: #555;
}

.theme-dark:root {
    --tv-color-platform-background: #161a1e;
    --tv-color-pane-background: #161a1e;
    --tv-color-toolbar-button-background-hover: #0d131a;
    --tv-color-toolbar-button-background-expanded: #0d131a;
    --tv-color-toolbar-button-background-active: #0d131a;
    --tv-color-toolbar-button-background-active-hover: #0d131a;
    --tv-color-toolbar-button-text: #555;;
    --tv-color-toolbar-button-text-hover: #fff;
    --tv-color-toolbar-button-text-active: #fff;;
    --tv-color-toolbar-button-text-active-hover: #fff;;
    --tv-color-item-active-text: #fff;
    --tv-color-toolbar-toggle-button-background-active: #0d131a;
    --tv-color-toolbar-toggle-button-background-active-hover: ;
    --tv-color-toolbar-divider-background: rgb(251, 223, 244);
    --tv-color-toolbar-save-layout-loader: rgb(134, 137, 147);

    --tv-color-popup-background: rgb(241, 188, 225);
    --tv-color-popup-element-text: rgb(136, 24, 79);
    --tv-color-popup-element-text-hover: rgb(74, 20, 140);
    --tv-color-popup-element-background-hover: rgb(244, 143, 177);
    --tv-color-popup-element-divider-background: rgb(251, 223, 244);
    --tv-color-popup-element-secondary-text: rgb(74, 20, 140);
    --tv-color-popup-element-hint-text: #fff;
    --tv-color-popup-element-text-active: #fff;
    --tv-color-popup-element-background-active: red;
    --tv-color-popup-element-toolbox-text: rgb(136, 24, 79);
    --tv-color-popup-element-toolbox-text-hover: rgb(74, 20, 140);
    --tv-color-popup-element-toolbox-text-active-hover: rgb(74, 20, 140);
    --tv-color-popup-element-toolbox-background-hover: rgb(222, 89, 132);
    --tv-color-popup-element-toolbox-background-active-hover: magenta;
}